[arch-commits] Commit in krb5/repos (10 files)

Stéphane Gaudreault stephane at archlinux.org
Thu Mar 8 20:03:05 EST 2012


    Date: Thursday, March 8, 2012 @ 20:03:05
  Author: stephane
Revision: 152709

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  krb5/repos/testing-i686/
  krb5/repos/testing-i686/PKGBUILD
    (from rev 152707, krb5/trunk/PKGBUILD)
  krb5/repos/testing-i686/krb5-kadmind
    (from rev 152707, krb5/trunk/krb5-kadmind)
  krb5/repos/testing-i686/krb5-kdc
    (from rev 152707, krb5/trunk/krb5-kdc)
  krb5/repos/testing-i686/krb5-kpropd
    (from rev 152707, krb5/trunk/krb5-kpropd)
  krb5/repos/testing-x86_64/
  krb5/repos/testing-x86_64/PKGBUILD
    (from rev 152707, krb5/trunk/PKGBUILD)
  krb5/repos/testing-x86_64/krb5-kadmind
    (from rev 152707, krb5/trunk/krb5-kadmind)
  krb5/repos/testing-x86_64/krb5-kdc
    (from rev 152707, krb5/trunk/krb5-kdc)
  krb5/repos/testing-x86_64/krb5-kpropd
    (from rev 152707, krb5/trunk/krb5-kpropd)

-----------------------------+
 testing-i686/PKGBUILD       |   71 ++++++++++++++++++++++++++++++++++++++++++
 testing-i686/krb5-kadmind   |   40 +++++++++++++++++++++++
 testing-i686/krb5-kdc       |   40 +++++++++++++++++++++++
 testing-i686/krb5-kpropd    |   40 +++++++++++++++++++++++
 testing-x86_64/PKGBUILD     |   71 ++++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/krb5-kadmind |   40 +++++++++++++++++++++++
 testing-x86_64/krb5-kdc     |   40 +++++++++++++++++++++++
 testing-x86_64/krb5-kpropd  |   40 +++++++++++++++++++++++
 8 files changed, 382 insertions(+)

Copied: krb5/repos/testing-i686/PKGBUILD (from rev 152707, krb5/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+
+pkgname=krb5
+pkgver=1.10.1
+pkgrel=1
+pkgdesc="The Kerberos network authentication system"
+arch=('i686' 'x86_64')
+url="http://web.mit.edu/kerberos/"
+license=('custom')
+depends=('e2fsprogs' 'libldap' 'keyutils')
+makedepends=('perl')
+provides=('heimdal')
+replaces=('heimdal')
+conflicts=('heimdal')
+backup=('etc/krb5.conf' 'var/lib/krb5kdc/kdc.conf')
+source=(http://web.mit.edu/kerberos/dist/${pkgname}/1.10/${pkgname}-${pkgver}-signed.tar
+        krb5-kadmind
+        krb5-kdc
+        krb5-kpropd)
+sha1sums=('f9f3b77173f68b268b43e4f9c29bf7c9f3fd1f0e'
+          '2aa229369079ed1bbb201a1ef72c47bf143f4dbe'
+          '77d2312ecd8bf12a6e72cc8fd871a8ac93b23393'
+          '7f402078fa65bb9ff1beb6cbbbb017450df78560')
+options=('!emptydirs')
+
+build() {
+   tar zxvf ${pkgname}-${pkgver}.tar.gz
+   cd "${srcdir}/${pkgname}-${pkgver}/src"
+
+   # FS#25384
+   sed -i "/KRB5ROOT=/s/\/local//" util/ac_check_krb5.m4
+
+   export CFLAGS+=" -fPIC -fno-strict-aliasing -fstack-protector-all"
+   export CPPFLAGS+=" -I/usr/include/et"
+   ./configure --prefix=/usr \
+               --mandir=/usr/share/man \
+               --localstatedir=/var/lib \
+               --enable-shared \
+               --with-system-et \
+               --with-system-ss \
+               --disable-rpath \
+               --without-tcl \
+               --enable-dns-for-realm \
+               --with-ldap \
+               --without-system-verto
+   make
+}
+
+package() {
+   cd "${srcdir}/${pkgname}-${pkgver}/src"
+   make DESTDIR="${pkgdir}" EXAMPLEDIR="/usr/share/doc/${pkgname}/examples" install
+
+   # Sample KDC config file
+   install -dm 755 "${pkgdir}"/var/lib/krb5kdc
+   install -pm 644 config-files/kdc.conf "${pkgdir}"/var/lib/krb5kdc/kdc.conf
+
+   # Default configuration file
+   install -dm 755 "${pkgdir}"/etc
+   install -pm 644 config-files/krb5.conf "${pkgdir}"/etc/krb5.conf
+
+   install -dm 755 "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kdc      "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kadmind  "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kpropd   "${pkgdir}"/etc/rc.d
+
+   install -dm 755 "${pkgdir}"/usr/share/aclocal
+   install -m 644 util/ac_check_krb5.m4 "${pkgdir}"/usr/share/aclocal
+
+   install -Dm644 "${srcdir}"/${pkgname}-${pkgver}/NOTICE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}

Copied: krb5/repos/testing-i686/krb5-kadmind (from rev 152707, krb5/trunk/krb5-kadmind)
===================================================================
--- testing-i686/krb5-kadmind	                        (rev 0)
+++ testing-i686/krb5-kadmind	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kadmind`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Admin Daemon"
+        if [ -z "$PID" ]; then
+           /usr/sbin/kadmind
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon krb5-kadmind
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Admin Daemon"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon krb5-kadmind
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: krb5/repos/testing-i686/krb5-kdc (from rev 152707, krb5/trunk/krb5-kdc)
===================================================================
--- testing-i686/krb5-kdc	                        (rev 0)
+++ testing-i686/krb5-kdc	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/krb5kdc`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Authentication"
+        if [ -z "$PID" ]; then
+           /usr/sbin/krb5kdc
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon krb5-kdc
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Authentication"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon krb5-kdc
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: krb5/repos/testing-i686/krb5-kpropd (from rev 152707, krb5/trunk/krb5-kpropd)
===================================================================
--- testing-i686/krb5-kpropd	                        (rev 0)
+++ testing-i686/krb5-kpropd	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kpropd`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Database Propagation Daemon"
+        if [ -z "$PID" ]; then
+           /usr/sbin/kpropd -S
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon kpropd
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Database Propagation Daemon"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon kpropd
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: krb5/repos/testing-x86_64/PKGBUILD (from rev 152707, krb5/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+
+pkgname=krb5
+pkgver=1.10.1
+pkgrel=1
+pkgdesc="The Kerberos network authentication system"
+arch=('i686' 'x86_64')
+url="http://web.mit.edu/kerberos/"
+license=('custom')
+depends=('e2fsprogs' 'libldap' 'keyutils')
+makedepends=('perl')
+provides=('heimdal')
+replaces=('heimdal')
+conflicts=('heimdal')
+backup=('etc/krb5.conf' 'var/lib/krb5kdc/kdc.conf')
+source=(http://web.mit.edu/kerberos/dist/${pkgname}/1.10/${pkgname}-${pkgver}-signed.tar
+        krb5-kadmind
+        krb5-kdc
+        krb5-kpropd)
+sha1sums=('f9f3b77173f68b268b43e4f9c29bf7c9f3fd1f0e'
+          '2aa229369079ed1bbb201a1ef72c47bf143f4dbe'
+          '77d2312ecd8bf12a6e72cc8fd871a8ac93b23393'
+          '7f402078fa65bb9ff1beb6cbbbb017450df78560')
+options=('!emptydirs')
+
+build() {
+   tar zxvf ${pkgname}-${pkgver}.tar.gz
+   cd "${srcdir}/${pkgname}-${pkgver}/src"
+
+   # FS#25384
+   sed -i "/KRB5ROOT=/s/\/local//" util/ac_check_krb5.m4
+
+   export CFLAGS+=" -fPIC -fno-strict-aliasing -fstack-protector-all"
+   export CPPFLAGS+=" -I/usr/include/et"
+   ./configure --prefix=/usr \
+               --mandir=/usr/share/man \
+               --localstatedir=/var/lib \
+               --enable-shared \
+               --with-system-et \
+               --with-system-ss \
+               --disable-rpath \
+               --without-tcl \
+               --enable-dns-for-realm \
+               --with-ldap \
+               --without-system-verto
+   make
+}
+
+package() {
+   cd "${srcdir}/${pkgname}-${pkgver}/src"
+   make DESTDIR="${pkgdir}" EXAMPLEDIR="/usr/share/doc/${pkgname}/examples" install
+
+   # Sample KDC config file
+   install -dm 755 "${pkgdir}"/var/lib/krb5kdc
+   install -pm 644 config-files/kdc.conf "${pkgdir}"/var/lib/krb5kdc/kdc.conf
+
+   # Default configuration file
+   install -dm 755 "${pkgdir}"/etc
+   install -pm 644 config-files/krb5.conf "${pkgdir}"/etc/krb5.conf
+
+   install -dm 755 "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kdc      "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kadmind  "${pkgdir}"/etc/rc.d
+   install -m 755 ../../krb5-kpropd   "${pkgdir}"/etc/rc.d
+
+   install -dm 755 "${pkgdir}"/usr/share/aclocal
+   install -m 644 util/ac_check_krb5.m4 "${pkgdir}"/usr/share/aclocal
+
+   install -Dm644 "${srcdir}"/${pkgname}-${pkgver}/NOTICE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}

Copied: krb5/repos/testing-x86_64/krb5-kadmind (from rev 152707, krb5/trunk/krb5-kadmind)
===================================================================
--- testing-x86_64/krb5-kadmind	                        (rev 0)
+++ testing-x86_64/krb5-kadmind	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kadmind`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Admin Daemon"
+        if [ -z "$PID" ]; then
+           /usr/sbin/kadmind
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon krb5-kadmind
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Admin Daemon"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon krb5-kadmind
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: krb5/repos/testing-x86_64/krb5-kdc (from rev 152707, krb5/trunk/krb5-kdc)
===================================================================
--- testing-x86_64/krb5-kdc	                        (rev 0)
+++ testing-x86_64/krb5-kdc	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/krb5kdc`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Authentication"
+        if [ -z "$PID" ]; then
+           /usr/sbin/krb5kdc
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon krb5-kdc
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Authentication"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon krb5-kdc
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0

Copied: krb5/repos/testing-x86_64/krb5-kpropd (from rev 152707, krb5/trunk/krb5-kpropd)
===================================================================
--- testing-x86_64/krb5-kpropd	                        (rev 0)
+++ testing-x86_64/krb5-kpropd	2012-03-09 01:03:05 UTC (rev 152709)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/kpropd`
+case "$1" in
+    start)
+        stat_busy "Starting Kerberos Database Propagation Daemon"
+        if [ -z "$PID" ]; then
+           /usr/sbin/kpropd -S
+        fi
+        if [ ! -z "$PID" -o $? -gt 0 ]; then
+            stat_fail
+        else
+            add_daemon kpropd
+            stat_done
+        fi
+        ;;
+    stop)
+        stat_busy "Stopping Kerberos Database Propagation Daemon"
+	    [ ! -z "$PID" ] && kill $PID &> /dev/null
+        if [ $? -gt 0 ]; then
+            stat_fail
+        else
+            rm_daemon kpropd
+            stat_done
+        fi
+        ;;
+    restart)
+        $0 stop
+	sleep 1
+        $0 start
+        ;;
+    *)
+        echo "usage: $0 {start|stop|restart}"
+	;;
+esac
+exit 0



More information about the arch-commits mailing list